## org.eclipse.e4.xwt.input
Class KeyGesture

    java.lang.Object
      org.eclipse.e4.xwt.input.KeyGesture

    public class KeyGesture

extends java.lang.Object

Constructor Summary
`KeyGesture()`

Method Summary
`java.lang.String` `getDisplayString()`
`java.lang.String` `getKey()`
`ModifierKeys` `getModifiers()`
`void` `setDisplayString(java.lang.String displayString)`
`void` `setKey(java.lang.String key)`
`void` `setModifiers(ModifierKeys modifiers)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyGesture

    public KeyGesture()

Method Detail

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### getDisplayString

    public java.lang.String getDisplayString()

### setDisplayString

    public void setDisplayString(java.lang.String displayString)

### getModifiers

    public ModifierKeys getModifiers()

### setModifiers

    public void setModifiers(ModifierKeys modifiers)